<?php
include(dirname(__FILE__)."/require.php");
if($ppurview[38]!=1)
  jump("jump.php?id=25&jump=main.php");
if(isset($_GET['action']) and $_GET['action'] == "submit")
{
  $str = "<?php\n";
  foreach($_POST AS $key=>$val)
  {
	$val=html_replacef($val);
    $str.= "$".$key."=\"".$val."\";\n";
  }
  $str.= "?>";
  $filename='../configs/ranking.php';
  @chmod($filename,0777);
  if (is_writable($filename)) 
  {
    if (!$handle=fopen($filename,'w') or fwrite($handle, $str) === FALSE)
      Header("Location: jump.php?id=error&jump=ranking.php");
	else
	  Header("Location: jump.php?id=24&jump=ranking.php");
	fclose($handle);
  }
  else 
    jump("jump.php?id=13&jump=ranking.php");
  exit();
}
$tpl -> assign("int_uqd", $int_uqd);
$tpl -> assign("int_udl", $int_udl);
$tpl -> assign("int_ufb", $int_ufb);
$tpl -> assign("int_ufbt", $int_ufbt);
$tpl -> assign("int_ufbh", $int_ufbh);
$tpl -> assign("int_ufbf", $int_ufbf);
$tpl -> assign("int_utjzy", $int_utjzy);
$tpl -> assign("int_uspread", $int_uspread);
$tpl -> assign("int_uspreadf", $int_uspreadf);
$tpl -> assign("int_uspreadfr", $int_uspreadfr);
$tpl -> assign("int_fwb", $int_fwb);
$tpl -> assign("int_fbz", $int_fbz);
$tpl -> assign("int_fbt", $int_fbt);
$tpl -> assign("int_fbh", $int_fbh);
$tpl -> assign("int_fbf", $int_fbf);
$tpl -> assign("int_hyfws", $int_hyfws);
$tpl -> assign("int_hyfw", $int_hyfw);
$tpl -> assign("int_zcfw", $int_zcfw);
$tpl -> assign("int_ykfw", $int_ykfw);
$tpl -> assign("int_wzcfw", $int_wzcfw);
$tpl -> assign("int_wykfw", $int_wykfw);
$tpl -> assign("int_fbztu", $int_fbztu);
$tpl -> assign("int_fbztd", $int_fbztd);
$tpl -> assign("int_fbzty", $int_fbzty);
$tpl -> assign("int_fbtpu", $int_fbtpu);
$tpl -> assign("int_fbtpd", $int_fbtpd);
$tpl -> assign("int_fbhfu", $int_fbhfu);
$tpl -> assign("int_fbhfd", $int_fbhfd);
$tpl -> assign("int_fbhfy", $int_fbhfy);
$tpl -> assign("int_hyjr", $int_hyjr);
$tpl -> assign("int_hytc", $int_hytc);
$tpl -> assign("int_jczr", $int_jczr);
$tpl -> assign("int_cvio", $int_cvio);
$tpl -> assign("int_cvim", $int_cvim);
$tpl -> assign("int_cvii", $int_cvii);
$tpl -> assign("int_cvmo", $int_cvmo);
$tpl -> assign("int_cvmm", $int_cvmm);
$tpl -> assign("int_cvmi", $int_cvmi);
$tpl -> assign("int_yhdk", $int_yhdk);
$tpl -> assign("int_mrdk", $int_mrdk);
$tpl -> display("ranking.htm");
?>